## linux-ubuntu-modules-2.6.24 2.6.24-16.23

=== ubuntu/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_ACER_ACPI)		+= acpi/acer_acpi/
obj-$(CONFIG_INPUT_FSC_BTNS)	+= misc/fsc_btns.o
obj-$(CONFIG_ALSA)      	+= sound/
obj-$(CONFIG_BLK_DEV_DRBD)      += block/drbd/
obj-$(CONFIG_BLK_ISCSITARGET)	+= block/iscsitarget/
obj-$(CONFIG_AMT_HECI)		+= misc/heci/
obj-$(CONFIG_BLK_DEV_GNBD)	+= misc/gnbd.o
obj-$(CONFIG_BLK_DEV_DM_BBR)	+= misc/dm-bbr.o
obj-$(CONFIG_SND_BTSCO)		+= snd-bt-sco.o
obj-$(CONFIG_INPUT_ACERHK)	+= misc/acerhk.o
obj-$(CONFIG_AVERATEC_5100P)	+= misc/av5100.o
obj-$(CONFIG_PACKARDBELL_E5)	+= misc/pbe5.o
obj-$(CONFIG_LMPCM_USB)		+= misc/lmpcm_usb.o
obj-$(CONFIG_NOZOMI)		+= misc/nozomi.o

obj-$(CONFIG_NDISWRAPPER)	+= misc/ndiswrapper/
obj-$(CONFIG_MOL)		+= misc/mol/

snd-bt-sco-objs			:= misc/btsco.o
#
# The btsco driver should ultimately be incorportated into the ALSA tree
# or deprecated. At the moment, we need to force the following build options to 
# make sure that struct snd_pcm_str in pcm.h is in sync with the ALSA build configs.
#
CFLAGS_btsco.o += -I$(src)/sound/alsa-driver/include -DCONFIG_SND_VERBOSE_PROCFS -DCONFIG_SND_PCM_OSS_MODULE

CFLAGS_dm-bbr.o			+= -I$(srctree)/drivers/md

ifneq ($(UBUNTU_FLAVOUR),openvz)
obj-$(CONFIG_AUFS)		+= fs/aufs/
endif

obj-$(CONFIG_ASFS_FS)		+= fs/asfs/
ifneq ($(UBUNTU_FLAVOUR),rt)
obj-$(CONFIG_GFS_FS)		+= fs/gfs/
endif
obj-$(CONFIG_SQUASHFS)		+= fs/squashfs/
obj-$(CONFIG_UNION_FS)		+= fs/unionfs/

obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o

obj-m				+= media/

obj-$(CONFIG_NET_ATL2)		+= net/atl2/

obj-$(CONFIG_NET_ACX)		+= wireless/acx/
obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/

ifneq ($(CONFIG_PRISM2_USB),)
obj-m				+= wireless/p80211/
endif

obj-$(CONFIG_IPW2100_FS_AMILO_M7400) += wireless/fsam7400.o

obj-$(CONFIG_MMC_SD8686)       += wireless/marvell/8686_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_wlan/
obj-$(CONFIG_MMC_SD8688)       += wireless/marvell/8688_bt/

obj-$(CONFIG_ET131X)		+= net/et131x/
obj-$(CONFIG_IGB)		+= net/igb/

obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o

obj-$(CONFIG_DMRAID45)		+= md/

=== ubuntu/media/Makefile ===
#
# All media drivers should use the lum version of the alsa headers
#
NOSTDINC_FLAGS			+= -I$(src)/../sound/alsa-driver/include
NOSTDINC_FLAGS			+= -include config.h

include $(src)/../.config

obj-$(CONFIG_GSPCA)		+= gspcav1/
obj-$(CONFIG_USB_OV511_NEW)	+= ov511/
obj-$(CONFIG_QUICKCAM)		+= quickcam/
obj-$(CONFIG_USB_UVCCAM)	+= usbvideo/
ifeq ($(CONFIG_PPC64),)
obj-$(CONFIG_LIRC_DEV)		+= lirc/
endif
obj-$(CONFIG_DRM_PSB)		+= drm-poulsbo/
obj-$(CONFIG_STK11XX)		+= stk11xx/

obj-$(CONFIG_CX88)		+= cx88/
obj-$(CONFIG_SAA7134)		+= saa7134/

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-16.23) hardy; urgency=low

  [Amit Kucheria]

  * Poulsbo: Update to latest DRM drivers (Beta09)

  [Stefan Bader]

  * Use LUM version of ALSA headers when building media drivers.
  * Include correct ALSA config for media drivers.
    - LP: #212960

  [Daniel Mack]

  * caiaq: make high sample rates work with A8DJ
    This patch for snd_usb_caiaq makes sample rates higher than 49KHz work
    with devices which have more than 2 stereo input/output pairs.

  * caiaq: correct input channel order
    This patch corrects the input channel order of hardware supported by
    snd_usb_caiaq.

  [Matthew Ranostay]

  * hda: Correct SPDIF out default config
    Several laptops have have the SPDIF out defined as 'Digital other out'
    when it should be 'SPDIF out' in the default config.

  [Soren Hansen]

  * Remove openvm tools
    We're reliably informed that open-vm-tools is not something we
    want to support. Each VMWare product comes with its own version of
    these kernel modules (released under the GPL and everything),
    while open-vm-tools is not actually supported for any version of
    any VMWare product. This might very well change in either the
    intrepid or intrepid+1 time frame, but it's not there yet.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 11 Apr 2008 10:57:39 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-16.22) hardy; urgency=low

  [Amit Kucheria]

  * Revert "cx88 NULL pointer dereference"
    It appears to cause lockups during sound device registration and probably
    affects all platforms with audio devices.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 11 Apr 2008 07:57:07 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-16.21) hardy; urgency=low

  [Stefan Bader]

  * Fix potential lockups in ALSA snd_usb_caiaq

  [Chuck Short]

  * Update iscsitarget drive
    - LP: #208281

  [Tim Gardner]

  * Fix cx88 NULL pointer dereference

  [Steve Langasek]

  * Don't call update-initramfs on postrm purge, this is redundant and can
    cause maintainer script failures if the linux-image package has already
    been removed.
    - LP: #149836

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Apr 2008 12:21:01 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-15.20) hardy; urgency=low

  [Stefan Bader]

  * uvcvideo: Fix oops when trying to access controls.
    - LP: #200990

  [Tim Gardner]

  * Added saa7134 to LUM.
    - LP: #201431

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 07:26:25 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-14.19) hardy; urgency=low

  [Amit Kucheria]

  * LPIA: Remove firmware

  [Tim Gardner]

  * Build cx88 modules
    - LP: #202065

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 07:11:27 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-14.18) hardy; urgency=low

  [Amit Kucheria]

  * Intel WiMax stack and driver for i2400m
  * WiMAX firmware and headers

  [Colin Ian King]

  * snd_bt_sco kernel Oops at startup
    - LP: #202249

  [Mario Limonciello]

  * Switch to enable second headphone jack on Dell M09 Ignore: no This adds
    a switch that enables the second headphone jack, allowing 5.1 audio and
    also two sets of headphone at the same time.

  [Stefan Bader]

  * SAUCE: Add missing SSID for suspend quirk.
    - LP: #151111
  * SAUCE: Enable audio quirk for Aluminium iMac.
    - LP: #147087

  [Tim Gardner]

  * ifdef iwlwifi debug messages
    - LP: #190475
  * lirc_serial loads but does not work
    - LP: #182530
  * Enable front input jack on Inspiron 1420/1520

  [Upstream Kernel Changes]

  * Ubuntu: Marvell: 8688: Enable WPA/WPA2 support

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 28 Mar 2008 10:54:41 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-12.17) hardy; urgency=low

  * Rebuild against kernel with CONFIG_SOUND enabled.

  [Mario Limonciello]

  * Fix audio on laptops with irregular HDA codec numbering
    LP: #193840

  [Amit Kucheria]

  * Marvell: CONFIG_MMC_SD8686 is not being passed to the Makefile

  [Ben Collins]

  * sound/hda: Reorganized DAC outputs
  * build/hdrs: Cleanup the header build

  [Upstream Kernel Changes]

  * gfs: Sync missing commit from RHEL5 branch

 -- Amit Kucheria <amit@ubuntu.com>  Sun, 09 Mar 2008 23:12:03 +0200

linux-ubuntu-modules-2.6.24 (2.6.24-12.16) hardy; urgency=low

  [Amit Kucheria]

  * Marvell 8686 and 8688 drivers moved from kernel to LUM
  * Make the 868x drivers actually compile...
  * Marvell: Rename 8686_v9 to 8686_wlan
  * Marvell: Consistent naming for 8686 drivers

  [Mario Limonciello]

  * STAC927x improvements
  * STAC Power fixes
  * STAC Power fixes
  * Enable analog Mic on Inspiron laptops with 92xx
  * Add 92HDxxxx PCI Quirk
  * Add support for upcoming XPS M09 systems.

  [Stefan Bader]

  * Add firmware for zd1201 driver.
    - LP: #66909

  [Tim Gardner]

  * Update AMD HDMI audio support
    - LP: #197843

  [Upstream Kernel Changes]

  * Ubuntu: Poulsbo: DRM Beta07 changes, Fixed S3/S4 PM issues
  * Ubuntu: Poulsbo: DRM Beta07 changes. S3 and S4 PM issues fixed

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 08 Mar 2008 12:47:44 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-11.15) hardy; urgency=low

  [Tim Gardner]

  * Fix ATI HDMI oops
    - LP: #196026
  * ifdef and net_ratelimit() iwlwifi debug messages
    - LP: #190475
  * SAUCE: Implemented suspend quirk support for HP NC6220 and NW8240
    - LP: #151111
  * Removed ivtv driver
    - LP: #197089

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 28 Feb 2008 13:53:20 -0700

linux-ubuntu-modules-2.6.24 (2.6.24-10.14) hardy; urgency=low

  [Jay Chetty]

  * poulsbo: update to beta 6 version of the driver
  * poulsbo: update to beta 6 version of the driver

  [Stefan Bader]

  * Pull in the RAID4/5 target for device-mapper.
  * Pull in the RAID4/5 target for device-mapper.
  * Remove exports of dm-log to solve duplicate symbols.
  * Update hdaps_ec to use vendor IBM for X40 and X41.
    - LP: #33950

  [Tim Gardner]



=== debian/control ===
Source: linux-ubuntu-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: automake, autoconf, debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-16-386 [i386], linux-headers-2.6.24-16-generic [i386 amd64], linux-headers-2.6.24-16-hppa32 [hppa], linux-headers-2.6.24-16-hppa64 [hppa], linux-headers-2.6.24-16-itanium [ia64], linux-headers-2.6.24-16-lpia [lpia], linux-headers-2.6.24-16-lpiacompat [lpia], linux-headers-2.6.24-16-mckinley [ia64], linux-headers-2.6.24-16-openvz [i386 amd64], linux-headers-2.6.24-16-powerpc [powerpc], linux-headers-2.6.24-16-powerpc-smp [powerpc], linux-headers-2.6.24-16-powerpc64-smp [powerpc], linux-headers-2.6.24-16-rt [i386 amd64], linux-headers-2.6.24-16-server [i386 amd64], linux-headers-2.6.24-16-sparc64 [sparc], linux-headers-2.6.24-16-sparc64-smp [sparc], linux-headers-2.6.24-16-virtual [i386], linux-headers-2.6.24-16-xen [i386 amd64]

Package: linux-ubuntu-modules-2.6.24-16-386
Architecture: i386
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-386
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-generic
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: rhcs-modules2-1
Depends: linux-image-2.6.24-16-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-hppa32
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-hppa64
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-itanium
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-lpia
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat for x86-compatible
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat for x86-compatible.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-lpiacompat
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-mckinley
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-openvz
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lum-2.6.24-16/debian.README.gz for details

Package: linux-ubuntu-modules-2.6.24-16-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lum-2.6.24-16-powerpc
Architecture: powerpc
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-powerpc
Provides: linux-headers-lum, linux-headers-lum-2.6
Description: Header files related to linux-ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read

## linux-ubuntu-modules-2.6.24 2.6.24-16.23+804ume1harbour1

=== ubuntu/Makefile ===
--- 
+++ 
@@ -45,15 +45,25 @@
 
 obj-$(CONFIG_USB_APPLEIR)	+= mactel/appleir.o
 
-obj-m				+= media/
+obj-$(CONFIG_GSPCA)		+= media/gspcav1/
+obj-$(CONFIG_USB_OV511_NEW)	+= media/ov511/
+obj-$(CONFIG_QUICKCAM)		+= media/quickcam/
+obj-$(CONFIG_USB_UVCCAM)	+= media/usbvideo/
+ifeq ($(CONFIG_PPC64),)
+obj-$(CONFIG_LIRC_DEV)		+= media/lirc/
+endif
+obj-$(CONFIG_DRM_PSB)		+= media/drm-poulsbo/
+obj-$(CONFIG_STK11XX)		+= media/stk11xx/
 
 obj-$(CONFIG_NET_ATL2)		+= net/atl2/
+obj-$(CONFIG_NET_R8101)		+= net/r8101/
 
 obj-$(CONFIG_NET_ACX)		+= wireless/acx/
 obj-$(CONFIG_IWLWIFI)		+= wireless/iwlwifi/
 obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
 obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
 obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
+obj-$(CONFIG_BROADCOM)		+= wireless/broadcom/
 
 ifneq ($(CONFIG_PRISM2_USB),)
 obj-m				+= wireless/p80211/
@@ -67,9 +77,16 @@
 
 obj-$(CONFIG_ET131X)		+= net/et131x/
 obj-$(CONFIG_IGB)		+= net/igb/
+obj-$(CONFIG_VMWARE)		+= openvm/vmblock/ 
+obj-$(CONFIG_VMWARE)		+= openvm/vmhgfs/
+obj-$(CONFIG_VMWARE)		+= openvm/vmmemctl/
+obj-$(CONFIG_VMWARE)		+= openvm/vmxnet/
+obj-$(CONFIG_VMWARE)		+= openvm/vmsync/
 
 obj-$(CONFIG_TP_SMAPI)		+= misc/tp_smapi.o
 obj-$(CONFIG_TP_SMAPI_EC)	+= misc/thinkpad_ec.o
 obj-$(CONFIG_TP_SMAPI_HDAPS)	+= hwmon/hdaps_ec.o
 
 obj-$(CONFIG_DMRAID45)		+= md/
+obj-$(CONFIG_CX88)		+= media/cx88/
+obj-$(CONFIG_SAA7134)		+= media/saa7134/

=== ubuntu/md/Makefile ===
dm-raid4-5-objs :=	dm-raid4-5.o dm-log.o dm-mem-cache.o \
			dm-region_hash.o dm-message.o

obj-m			+= dm-raid4-5.o

=== ubuntu/media/cx88/Makefile ===

cx88xx-objs	:= cx88-cards.o cx88-core.o cx88-i2c.o cx88-tvaudio.o \
		   cx88-input.o
cx8800-objs	:= cx88-video.o cx88-vbi.o
cx8802-objs	:= cx88-mpeg.o

CONFIG_VIDEO_CX88=m
CONFIG_VIDEO_CX88_ALSA=m
CONFIG_VIDEO_CX88_BLACKBIRD=m
CONFIG_VIDEO_CX88_DVB=m
CONFIG_VIDEO_CX88_VP3054=m

obj-$(CONFIG_VIDEO_CX88) += cx88xx.o cx8800.o cx8802.o
obj-$(CONFIG_VIDEO_CX88_ALSA) += cx88-alsa.o
obj-$(CONFIG_VIDEO_CX88_BLACKBIRD) += cx88-blackbird.o
obj-$(CONFIG_VIDEO_CX88_DVB) += cx88-dvb.o
obj-$(CONFIG_VIDEO_CX88_VP3054) += cx88-vp3054-i2c.o

EXTRA_CFLAGS += -Idrivers/media/video
EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core
EXTRA_CFLAGS += -Idrivers/media/dvb/frontends

=== ubuntu/media/drm-poulsbo/Makefile ===
obj-m += drm.o
obj-m += psb.o

drm-objs := drm_auth.o drm_bufs.o drm_context.o drm_dma.o drm_drawable.o \
		drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_proc.o drm_stub.o drm_vm.o \
		drm_sysfs.o drm_pci.o drm_agpsupport.o drm_scatter.o \
		drm_memory_debug.o ati_pcigart.o drm_sman.o \
		drm_hashtab.o drm_mm.o drm_object.o drm_compat.o \
		drm_fence.o drm_ttm.o drm_bo.o drm_bo_move.o drm_bo_lock.o \
		drm_crtc.o drm_edid.o drm_modes.o drm_regman.o

psb-objs := psb_drv.o psb_mmu.o psb_sgx.o psb_irq.o psb_fence.o psb_buffer.o \
		psb_gtt.o psb_setup.o psb_i2c.o psb_fb.o psb_msvdx.o \
		psb_msvdxinit.o psb_regman.o psb_reset.o psb_scene.o \
		psb_schedule.o psb_xhw.o

=== ubuntu/media/lirc/Makefile ===
include $(src)/../../.config

EXTRA_CFLAGS =-DIRCTL_DEV_MAJOR=61 -DLIRC_SERIAL_TRANSMITTER -DLIRC_SERIAL_SOFTCARRIER -I$(src)

obj-$(CONFIG_LIRC_DEV)		+= lirc_dev/lirc_dev.o
obj-$(CONFIG_LIRC_ATIUSB)	+= lirc_atiusb/lirc_atiusb.o
obj-$(CONFIG_LIRC_BT829)	+= lirc_bt829/lirc_bt829.o
obj-$(CONFIG_LIRC_CMDIR)	+= lirc_cmdir/lirc_cmdir.o lirc_cmdir/commandir.o
obj-$(CONFIG_LIRC_I2C)		+= lirc_i2c/lirc_i2c.o
obj-$(CONFIG_LIRC_IGORPLUGUSB)	+= lirc_igorplugusb/lirc_igorplugusb.o
obj-$(CONFIG_LIRC_IMON)		+= lirc_imon/lirc_imon.o
obj-$(CONFIG_LIRC_IT87)		+= lirc_it87/lirc_it87.o
obj-$(CONFIG_LIRC_MCEUSB)	+= lirc_mceusb/lirc_mceusb.o
obj-$(CONFIG_LIRC_MCEUSB2)	+= lirc_mceusb2/lirc_mceusb2.o
obj-$(CONFIG_LIRC_PVR150)	+= lirc_pvr150/lirc_pvr150.o
obj-$(CONFIG_LIRC_PARALLEL)	+= lirc_parallel/lirc_parallel.o
obj-$(CONFIG_LIRC_SASEM)	+= lirc_sasem/lirc_sasem.o
obj-$(CONFIG_LIRC_SERIAL)	+= lirc_serial/lirc_serial.o
obj-$(CONFIG_LIRC_SERIAL_IGOR)	+= lirc_serial_igor/lirc_serial_igor.o
obj-$(CONFIG_LIRC_SIR)		+= lirc_sir/lirc_sir.o
obj-$(CONFIG_LIRC_STREAMZAP)	+= lirc_streamzap/lirc_streamzap.o
obj-$(CONFIG_LIRC_TTUSBIR)	+= lirc_ttusbir/lirc_ttusbir.o
obj-$(CONFIG_LIRC_GPIO)		+= lirc_gpio/lirc_gpio.o
obj-$(CONFIG_LIRC_TTUSBIR)	+= lirc_ttusbir/lirc_ttusbir.o
lirc_gpio/lirc_gpio-objs 	+= lirc_gpio/bttv_deprecated.o

=== ubuntu/media/quickcam/Makefile ===
obj-m := quickcam.o

quickcam-objs := qc-driver.o qc-hdcs.o qc-pb0100.o qc-vv6410.o qc-formats.o qc-mjpeg.o qc-memory.o

EXTRA_CFLAGS += -I$(src)

=== ubuntu/media/saa7134/Makefile ===
CONFIG_VIDEO_SAA7134=m
CONFIG_VIDEO_SAA7134_ALSA=m
CONFIG_VIDEO_SAA7134_OSS=m
CONFIG_VIDEO_SAA7134_DVB=m

saa7134-objs :=	saa7134-cards.o saa7134-core.o saa7134-i2c.o	\
		saa7134-ts.o saa7134-tvaudio.o saa7134-vbi.o    \
		saa7134-video.o saa7134-input.o

obj-$(CONFIG_VIDEO_SAA7134) +=  saa7134.o saa7134-empress.o \
				saa6752hs.o

obj-$(CONFIG_VIDEO_SAA7134_ALSA) += saa7134-alsa.o
obj-$(CONFIG_VIDEO_SAA7134_OSS) += saa7134-oss.o

obj-$(CONFIG_VIDEO_SAA7134_DVB) += saa7134-dvb.o

EXTRA_CFLAGS += -Idrivers/media/video
EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core
EXTRA_CFLAGS += -Idrivers/media/dvb/frontends

=== ubuntu/misc/mol/Makefile ===
# -*- makefile -*-

PERFOBJS_	:= _fault.o _dev.o _misc.o _mmu.o init.o emu.o mmu.o \
		   mmu_fb.o mmu_io.o mmu_tracker.o skiplist.o mtable.o \
		   fault.o context.o ptaccess.o misc.o _traps.o hook.o \
		   _actions.o

mol-objs		:= $(PERFOBJS_) _performance.o
obj-m			:= mol.o

targets := reloc_table.h asm_offsets.h _performance.c

PERFOBJS	= $(addprefix $(obj)/, $(PERFOBJS_))
MOL_ASMFLAGS	= $(CPPFLAGS) $(ASMFLAGS) $(INCLUDES) -D__ASSEMBLY__ -I$(src)
RM		= rm -f

$(obj)/hook.o: 		$(src)/reloc_table.h
$(obj)/_traps.o:	$(src)/asm_offsets.h $(src)/traps.S $(srctree)/$(src)/*.S

$(src)/reloc_table.h: $(obj)/_traps.o
	@$(RM) $@ $@.tmp ; echo "/* WARNING! DO NOT EDIT! AUTOMATICALLY GENERATED! */" > $@.tmp
	@$(srctree)/$(src)/relbuild.pl $< $(src)/traps.S >> $@.tmp
	@$(STRIP) -S -x $<
	@mv $@.tmp $@

$(obj)/_%.o: $(src)/%.S
	@echo "  AS [x]   $@"
	@$(RM) $@ $@.s
	@$(CPP) $(MOL_ASMFLAGS) $< | m4 > $@.m4
	@ASFILTER="| $(src)/asfilter" test -x $(src)/asfilter || ASFILTER="" ; cat $@.m4 $$ASFILTER > $@.s
	@$(AS) $@.s $(AS_FLAGS) -o $@
	@$(RM) $@.s $@.m4


$(src)/asm_offsets.h:	$(src)/archinclude.h $(src)/kernel_vars.h $(src)/mac_registers.h
$(src)/asm_offsets.h:	$(src)/asm_offsets.c $(src)/asm_offsets.inc
	@$(RM) $(src)/tmp-offsets.c $@ ; cat $^ > $(src)/tmp-offsets.c
	@$(CC) $(CPPFLAGS) $(CFLAGS) -I$(srctree)/$(src) -Wall -S $(src)/tmp-offsets.c -o $(src)/tmp-offsets.s
	@echo "/* WARNING! Automatically generated from 'shared/asm_offsets.c' - DO NOT EDIT! */" > $@
	@grep '^#' $(src)/tmp-offsets.s >> $@
	@$(RM) $(src)/tmp-offsets.*


$(src)/_performance.c: $(PERFOBJS)
	@$(RM) $@ $@.tmp; echo "/* WARNING! DO NOT EDIT! AUTOMATICALLY GENERATED! */" > $@.tmp
	@echo "#include \"performance.h\"" >> $@.tmp
	@$(NM) $(PERFOBJS) | awk -- '/gPerf__/ { print "unsigned long "$$2";" }' >> $@.tmp
	@echo "perf_info_t g_perf_info_table[] = {" >> $@.tmp
	@$(NM) $(PERFOBJS) | awk -- '/gPerf__/ { print "  { \""$$2"\",&"$$2"}," }' >> $@.tmp
	@echo "  {0,0} };" >> $@.tmp
	@cat $@.tmp | sed s/_gPerf/gPerf/g > $@
	@$(RM) $@.tmp

=== ubuntu/net/atl2/Makefile ===
CFILES = at_main.c at_hw.c at_param.c at_ethtool.c kcompat.c  
HFILES = at.h at_hw.h at_osdep.h kcompat.h

obj-m += atl2.o
atl2-objs := $(CFILES:.c=.o)

=== ubuntu/net/r8101/Makefile ===
################################################################################
# 
# Copyright(c) Realtek Semiconductor Corp. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 
# Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# 
# The full GNU General Public License is included in this distribution in the
# file called LICENSE.
# 
################################################################################


EXTRA_CFLAGS	+= -DRTL_IOCTL_SUPPORT

EXTRA_CFLAGS	+= -DRTL8102E_LINK_DOWN_POWER_SAVING_ENABLE

obj-m += r8101.o
r8101-objs :=  r8101_n.o rtl_ioctl.o

=== ubuntu/openvm/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/openvm/vmblock
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmblock

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== ubuntu/openvm/vmhgfs/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 1998 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
####  VMware kernel module Makefile to be distributed externally
####

####
#### SRCROOT _must_ be a relative path.
####
SRCROOT = $(M)/openvm/vmhgfs
VM_CC=$(CC)
VM_CCVER=$(shell $(CC) -dumpversion)

HEADER_DIR = $(TOPDIR)/include

BUILD_DIR = $(HEADER_DIR)/..

DRIVER := vmhgfs

# Grep program
GREP = /bin/grep

vm_check_gcc = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
        > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi)
vm_check_file = $(shell if test -f $(1); then echo "yes"; else echo "no"; fi)

ifndef VM_KBUILD
VM_KBUILD := no
ifeq ($(call vm_check_file,$(BUILD_DIR)/Makefile), yes)
ifneq ($(call vm_check_file,$(BUILD_DIR)/Rules.make), yes)
VM_KBUILD := 26
endif
endif
export VM_KBUILD
endif

ifndef VM_KBUILD_SHOWN
ifeq ($(VM_KBUILD), no)
VM_DUMMY := $(shell echo >&2 "Using standalone build system.")
else
ifeq ($(VM_KBUILD), 24)
VM_DUMMY := $(shell echo >&2 "Using 2.4.x kernel build system.")
else
VM_DUMMY := $(shell echo >&2 "Using 2.6.x kernel build system.")
endif
endif
VM_KBUILD_SHOWN := yes
export VM_KBUILD_SHOWN
endif

ifneq ($(VM_KBUILD), no)

VMCCVER := $(shell $(CC) -dumpversion)

# If there is no version defined, we are in toplevel pass, not yet in kernel makefiles...
ifeq ($(VERSION),)

ifeq ($(VM_KBUILD), 24)
DRIVER_KO := $(DRIVER).o
else
DRIVER_KO := $(DRIVER).ko
endif

.PHONY: $(DRIVER_KO)

auto-build: $(DRIVER_KO)
	cp -f $< $(SRCROOT)/../$(DRIVER).o

# $(DRIVER_KO) is a phony target, so compare file times explicitly
$(DRIVER): $(DRIVER_KO)
	if [ $< -nt $@ ]; then cp -f $< $@; fi

# Pass gcc version down the chain, so we can detect if kernel attempts to use unapproved compiler
VM_CCVER := $(VMCCVER)
export VM_CCVER
VM_CC := $(CC)
export VM_CC

MAKEOVERRIDES := $(filter-out CC=%,$(MAKEOVERRIDES))

$(DRIVER_KO):
	make -C $(BUILD_DIR) SUBDIRS=$$PWD SRCROOT=$$PWD/$(SRCROOT) modules

else

ifneq ($(VM_CCVER), $(VMCCVER))
$(warning *** Inappropriate build environment: you wanted to use gcc \
 version $(VM_CCVER) while kernel attempts to use gcc version $(VMCCVER).)
$(error For proper build you'll have to replace $(CC) with symbolic \
 link to $(VM_CC))
endif

endif

vm_check_build = $(shell if $(CC) $(KBUILD_CPPFLAGS) $(KBUILD_CFLAGS) \
	$(CPPFLAGS) $(CFLAGS) $(CFLAGS_KERNEL) \
	$(EXTRA_CFLAGS) -Iinclude2/asm/mach-default \
	-DKBUILD_BASENAME=\"$(DRIVER)\" \
	-Werror -S -o /dev/null -xc $(1) \
	> /dev/null 2>&1; then echo "$(2)"; else echo "$(3)"; fi)

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_OPTS := $(GLOBAL_DEFS) $(CC_WARNINGS) -DVMW_USING_KBUILD
ifdef VMX86_DEVEL
CC_OPTS += -DVMX86_DEVEL
endif
ifdef VMX86_DEBUG
CC_OPTS += -DVMX86_DEBUG
endif

include $(SRCROOT)/Makefile.kernel

ifdef TOPDIR
ifeq ($(VM_KBUILD), 24)

O_TARGET := $(DRIVER).o

obj-y := $($(DRIVER)-y)

include $(TOPDIR)/Rules.make
endif
endif

else

include $(SRCROOT)/Makefile.normal

endif

#.SILENT:

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-16.23+804ume1harbour1) hardy; urgency=low

  [Michael Frey]

  * Added Broadcomm wireless driver for Belmont board

 -- Michael Frey <michael.frey@canonical.com>  Wed, 14 May 2008 20:52:59 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-16.23+804ume1belmont1) hardy; urgency=low

  [Michael Frey]

  * Build ALSA
  * Remove lipacompat
  * Added r8101 sub directory to be built
  * Added latest Realtek r8101 ethernet driver

 -- Michael Frey <michael.frey@canonical.com>  Thu, 24 Apr 2008 15:22:43 -0400
